@import url("https://fonts.googleapis.com/css2?family=Montserrat:wght@100..900&family=Noto+Sans+JP:wght@100..900&display=swap");
* {
  margin: 0;
  padding: 0;
  text-decoration: none;
  overflow: hidden;
  border-radius: 0;
}

html {
  scroll-behavior: smooth;
  overflow-y: auto;
}

body {
  display: block;
  width: 100vw;
  min-height: 100dvh;
  background-color: #222;
}
body::-webkit-scrollbar {
  display: none;
}

header {
  position: fixed;
  left: 0;
  top: 0;
  display: grid;
  place-items: center;
  width: 100%;
  height: 88px;
}
header svg {
  display: block;
  height: 48px;
}

section.upload {
  position: fixed;
  inset: 0;
  margin: auto;
  display: grid;
  place-items: center;
  width: 100%;
  height: 100%;
}
section.upload label.upload_btn {
  display: grid;
  place-items: center;
  width: 360px;
  aspect-ratio: 2/1;
  background-color: #333;
  color: #eee;
  font-size: 1.2rem;
  cursor: pointer;
  border-radius: 16px;
  box-shadow: 0 0 32px -16px rgba(255, 255, 255, 0.2);
  transition: background-color 0.2s ease, box-shadow 0.2s ease;
}
section.upload label.upload_btn:hover {
  background-color: #444;
  box-shadow: 0 0 32px -16px rgba(255, 255, 255, 0.5333333333);
}
section.upload label.upload_btn:hover svg {
  translate: 0 -8px;
  scale: 1.15;
}
section.upload label.upload_btn svg {
  display: block;
  width: 72px;
  height: auto;
  fill: #fff;
  transition: all 0.2s ease;
}
section.upload label.upload_btn input {
  display: none;
}

section.edit {
  position: fixed;
  inset: 0;
  margin: auto;
  display: none;
  align-items: center;
  justify-content: center;
  gap: 32px;
  width: 100%;
  height: 100%;
}
section.edit .edit_left {
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 16px;
}
section.edit .edit_left .edit_coverimg {
  position: relative;
  width: 280px;
  aspect-ratio: 1;
  box-shadow: 0 0 32px -16px rgba(255, 255, 255, 0.2);
  border-radius: 12px;
  box-sizing: border-box;
  overflow: hidden;
}
section.edit .edit_left .edit_coverimg:hover img {
  scale: 1.1;
}
section.edit .edit_left .edit_coverimg:hover label {
  opacity: 1;
}
section.edit .edit_left .edit_coverimg:hover label svg {
  scale: 1;
}
section.edit .edit_left .edit_coverimg img {
  display: block;
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
  transition: all 0.3s ease;
}
section.edit .edit_left .edit_coverimg label {
  position: absolute;
  inset: 0;
  margin: auto;
  display: grid;
  place-items: center;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.2666666667);
  -webkit-backdrop-filter: blur(4px);
          backdrop-filter: blur(4px);
  opacity: 0;
  cursor: pointer;
  transition: opacity 0.3s ease, scale 0.3s ease;
}
section.edit .edit_left .edit_coverimg label input {
  display: none;
}
section.edit .edit_left .edit_coverimg label svg {
  display: block;
  width: 72px;
  height: auto;
  fill: #fff;
  scale: 1.2;
  transition: all 0.3s ease;
}
section.edit .edit_left label.edit_inputtxt {
  display: flex;
  align-items: center;
  gap: 12px;
}
section.edit .edit_left label.edit_inputtxt p {
  display: block;
  width: 108px;
  color: rgba(255, 255, 255, 0.6666666667);
  font-size: 18px;
  font-family: "Montserrat", "Noto Sans JP", sans-serif;
  font-weight: 400;
}
section.edit .edit_left label.edit_inputtxt input {
  display: block;
  width: 360px;
  height: 44px;
  background-color: #272727;
  border: 1px solid #555;
  outline: none;
  border-radius: 8px;
  padding-inline: 8px;
  box-sizing: border-box;
  color: #fff;
  font-size: 20px;
  font-family: "Montserrat", "Noto Sans JP", sans-serif;
  font-weight: 400;
  transition: border-color 0.2s ease;
}
section.edit .edit_left label.edit_inputtxt input:focus, section.edit .edit_left label.edit_inputtxt input:hover {
  border-color: #888;
}
section.edit .edit_right {
  position: relative;
  display: block;
  width: 480px;
  height: 520px;
}
section.edit .edit_right p {
  display: block;
  margin-bottom: 8px;
  color: rgba(255, 255, 255, 0.6666666667);
  font-size: 18px;
  font-family: "Montserrat", "Noto Sans JP", sans-serif;
  font-weight: 400;
  line-height: 1;
}
section.edit .edit_right textarea {
  display: block;
  width: 100%;
  height: calc(100% - 26px);
  border: 1px solid #555;
  outline: none;
  border-radius: 12px;
  padding: 8px;
  background-color: #272727;
  box-sizing: border-box;
  resize: none;
  color: #fff;
  font-size: 18px;
  font-family: "Montserrat", "Noto Sans JP", sans-serif;
  font-weight: 400;
  overflow-y: auto;
  transition: border-color 0.2s ease;
}
section.edit .edit_right textarea:focus, section.edit .edit_right textarea:hover {
  border-color: #888;
}
section.edit .edit_right textarea::-webkit-scrollbar {
  width: 8px;
}
section.edit .edit_right textarea::-webkit-scrollbar-thumb {
  background-color: #555;
  border-radius: 4px;
  border: 2px solid transparent;
  background-clip: content-box;
  cursor: grab;
}
section.edit .edit_right textarea::-webkit-scrollbar-thumb:hover {
  background-color: #777;
}
section.edit .edit_right textarea::-webkit-scrollbar-track {
  background-color: transparent;
}
section.edit button#save_btn {
  position: fixed;
  left: 0;
  right: 0;
  bottom: 24px;
  margin-inline: auto;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 8px;
  width: 216px;
  height: 48px;
  background-color: #333;
  border: 1px solid #555;
  box-sizing: border-box;
  border-radius: 32px;
  cursor: pointer;
  transition: background-color 0.2s ease;
}
section.edit button#save_btn svg {
  fill: #fff;
  width: 24px;
  transition: translate 0.2s ease;
}
section.edit button#save_btn p {
  display: block;
  color: #fff;
  font-size: 16px;
  font-family: "Montserrat", "Noto Sans JP", sans-serif;
  font-weight: 400;
}
section.edit button#save_btn:hover {
  background-color: #444;
}
section.edit button#save_btn:hover svg {
  translate: 0 2.5px;
}